package com.evobms.project.Battery.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.evobms.framework.aspectj.lang.annotation.Excel;
import com.evobms.framework.web.domain.BaseEntity;

/**
 * 可充电储能子系统温度信息对象 subsystem_temperature
 * 
 * @author 田志阳
 * @date 2025-11-15
 */
public class SubsystemTemperature extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 设备ID */
    @Excel(name = "设备ID")
    private String deviceId;

    /** 数据时间戳 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "数据时间戳", width = 30, dateFormat = "yyyy-MM-dd")
    private Date timestamp;

    /** 可充电储能子系统个数 */
    @Excel(name = "可充电储能子系统个数")
    private Integer subsystemCount;

    /** 可充电储能子系统号 */
    @Excel(name = "可充电储能子系统号")
    private Integer subsystemNo;

    /** 可充电储能温度探针个数 */
    @Excel(name = "可充电储能温度探针个数")
    private Integer tempProbeCount;

    /** 各温度探针检测的温度值数组(℃) */
    @Excel(name = "各温度探针检测的温度值数组(℃)")
    private String temperatureValues;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdAt;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedAt;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setDeviceId(String deviceId) 
    {
        this.deviceId = deviceId;
    }

    public String getDeviceId() 
    {
        return deviceId;
    }

    public void setTimestamp(Date timestamp) 
    {
        this.timestamp = timestamp;
    }

    public Date getTimestamp() 
    {
        return timestamp;
    }

    public void setSubsystemCount(Integer subsystemCount) 
    {
        this.subsystemCount = subsystemCount;
    }

    public Integer getSubsystemCount() 
    {
        return subsystemCount;
    }

    public void setSubsystemNo(Integer subsystemNo) 
    {
        this.subsystemNo = subsystemNo;
    }

    public Integer getSubsystemNo() 
    {
        return subsystemNo;
    }

    public void setTempProbeCount(Integer tempProbeCount) 
    {
        this.tempProbeCount = tempProbeCount;
    }

    public Integer getTempProbeCount() 
    {
        return tempProbeCount;
    }

    public void setTemperatureValues(String temperatureValues) 
    {
        this.temperatureValues = temperatureValues;
    }

    public String getTemperatureValues() 
    {
        return temperatureValues;
    }

    public void setCreatedAt(Date createdAt) 
    {
        this.createdAt = createdAt;
    }

    public Date getCreatedAt() 
    {
        return createdAt;
    }

    public void setUpdatedAt(Date updatedAt) 
    {
        this.updatedAt = updatedAt;
    }

    public Date getUpdatedAt() 
    {
        return updatedAt;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("deviceId", getDeviceId())
            .append("timestamp", getTimestamp())
            .append("subsystemCount", getSubsystemCount())
            .append("subsystemNo", getSubsystemNo())
            .append("tempProbeCount", getTempProbeCount())
            .append("temperatureValues", getTemperatureValues())
            .append("createdAt", getCreatedAt())
            .append("updatedAt", getUpdatedAt())
            .toString();
    }
}
